org.keycloak.adapters.jetty

## Class JettyRequestAuthenticator

- java.lang.Object
- - org.keycloak.adapters.RequestAuthenticator
  - - org.keycloak.adapters.jetty.AbstractJettyRequestAuthenticator
    - - org.keycloak.adapters.jetty.JettyRequestAuthenticator

-     public class JettyRequestAuthenticator
      extends AbstractJettyRequestAuthenticator

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    - ### Fields inherited from class org.keycloak.adapters.jetty.AbstractJettyRequestAuthenticator

      `__J_METHOD, log, principal, request, valve`

    - ### Fields inherited from class org.keycloak.adapters.RequestAuthenticator

      `challenge, deployment, facade, sslRedirectPort, tokenStore`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JettyRequestAuthenticator(KeycloakDeployment deployment, AbstractKeycloakJettyAuthenticator valve, AdapterTokenStore tokenStore, JettyHttpFacade facade, org.eclipse.jetty.server.Request request)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.eclipse.jetty.util.MultiMap<String>` | `extractFormParameters(org.eclipse.jetty.server.Request base_request)`
    `protected void` | `restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post, org.eclipse.jetty.server.Request base_request)`

    - ### Methods inherited from class org.keycloak.adapters.jetty.AbstractJettyRequestAuthenticator

      `completeBearerAuthentication, completeOAuthAuthentication, createOAuthAuthenticator, getHttpSessionId, restoreRequest, saveServletRequest`

    - ### Methods inherited from class org.keycloak.adapters.RequestAuthenticator

      `authenticate, completeAuthentication, completeAuthentication, createBasicAuthAuthenticator, createBearerTokenAuthenticator, getChallenge, verifySSL`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JettyRequestAuthenticator

          public JettyRequestAuthenticator(KeycloakDeployment deployment,
                                   AbstractKeycloakJettyAuthenticator valve,
                                   AdapterTokenStore tokenStore,
                                   JettyHttpFacade facade,
                                   org.eclipse.jetty.server.Request request)

  - ### Method Detail

    - #### extractFormParameters

          protected org.eclipse.jetty.util.MultiMap<String> extractFormParameters(org.eclipse.jetty.server.Request base_request)

      Specified by:
        `extractFormParameters` in class `AbstractJettyRequestAuthenticator`

    - #### restoreFormParameters

          protected void restoreFormParameters(org.eclipse.jetty.util.MultiMap<String> j_post,
                                   org.eclipse.jetty.server.Request base_request)

      Specified by:
        `restoreFormParameters` in class `AbstractJettyRequestAuthenticator`

Copyright © 2014. All Rights Reserved.